Qt 4.6 compilé avec MinGW64 avec wine sous linux

Bonjour,

Vous devez sans doute en avoir mare de devoir lancé un machine virtuelle pour compiler vos application Qt sous windows, avec visual studio et ces dépendances? J’ai la solution, cela permet en autre d’automatiser la création, et donc de tout faire via un .sh:

  • Créer votre futur dossier wine
  • Lancer toujours wine et Qt avec le préfix WINEPREFIX= »/votre/chemin/ »
  • Installé TDM MinGW, et ajouter le à votre variable d’environnement PATH dans regedit en recherche la clef ayant pour nom PATH
  • Compilé le début de Qt en 32Bits avec TDM MinGW pour avoir notamment qmake.exe,uic.exe,moc.exe,rcc.exe en 32Bits
  • Garder ces exe dans un dossier à part, lancer une commande watch pour les recopier à intervalle régulier dans dans le dossier bin/ de Qt car avec la version MinGW64 c’est des exe 64Bits qui vont être généré, donc incompatible avec un wine 32Bits
  • renommer votre dossier MinGW
  • Installez MinWG64 la version snapshot la plus récente en MinGW-w64-mingw-i686.zip ou un truc comme ça
  • Copier tout les binaires dans bin/ de votre dossier MinGW qui est en 32Bits pour cible 64Bits et renommer les copies sans le mingw……- devant
  • Faite un mingw32-make distclean
  • lancer le configure puis le make comme pour une installation traditionnelle
  • Quand tout est compilé arréte le script qui ecrase vos binaires dans le dossier bin/ de Qt

J’ai rencontrer les erreurs suivantes:

  • Avec Qt 4.6.1 j’ai du désactivé le mmx, sse, sse2

Pour pouvoir avoir un maximum de compression du binaire final j’ai fait en static, pour notamment pouvoir le compresser avec upx en lzma quand upx supportera les binaires windows 64Bits.

Cette article vous permet aussi avec quelque adaptation de compiler Qt en 64Bits sous windows sans avoir besoin de visual studio en 64Bits, donc potentiellement d’utiliser Qt Creator ou tout autre IDE Qt portable basé sur MinGW.

Crash de ultracopier sous windows

Bonjour, hélas je repousse la sortie d’ultracopier, car sous windows il y as des crash sur les version récente.

Sous windows il y a utilisation de Qt 4.6.0, alors que pour développer j’utilise Qt 4.5.3 sous linux. J’espère que les problèmes vienne juste de Qt.

Au menu de la prochaine version:

  • Réglage de la taille de bloque par défaut à 1024Ko pour moins d’utilisation de cpu
  • Ajout de nombreuse langue (celle tirer des statistiques du site)
  • Résolution de nombreux bug lié à l’application d’une langue
  • Mise en cache des traductions au endroit clef pour optimisé les performances
  • Et de nombreuse autre corrections

J’essaye de fini le plus rapidement possible tout ces bugs pour sortir la version finale.

Version 0.2.0.11 d’ultracopier

Bonjour, normalement c’est enfin la dernière version avant la final.

Et je vais pourvoir enfin me concentrer sur la réalisation des plugins.

Les nouveautés dans cette version sont:

  • Peu enchaîné 2 copie dans la même fenêtre à la suite
  • Meilleur prévention du bug de blocage
  • Plus de commentaire de la source du thread de copie
  • Le packet debian ne dépend plus du CFLAGS et CXXFLAGS de l’hôte de compilation
  • Pour windows 32Bits, utilisation de la version statique de Qt aussi
  • Réparation de la mise à jour de l’image du bouton play/pause

Lib qt pour la lecture du lzma et du tar

Bonjour, je viens enfin de finir mal lib pour la lecture du lzma et du tar, les 2 peu étre lu indépendamment, il y a un minimum de contrôle d’erreur, tout est minimisé pour prendre le moins de place possible et pour étre le plus claire possible, pour rester au maximum multiplateforme et léger cette limitation sont en place, par exemple seul les fichiers dans les archives tar sont supporté.

Cela vas me permettre de commencer à supporter un certain nombre de chose sous ultracopier, comme l’importation des ressources. Bien sur après avec fixer le dernier bug de la version actuelle.

Tout est commenté pour que des développeurs c++ puis comprendre l’algorithme.

Lien:

http://files.first-world.info/qt-project/lzma-decode-qt-src.tar.bz2

Bug fix pendant le developpement du support des plugins

Bonjour, j’ai sortie une nouvelle version, et je développe à coté le support des plugins et de l’updater pour ultracopier.

Elle corrige un certain nombre de bug cité dans l’un des post juste avant. Donc notamment sur Mac.

Pour le support des nouveaux truc, je pense passer pour l’instant par .tar.lzma, xml, http, … tout ce que qt supporte ou tout ce que j’ai coder à coté en Qt.

Lib lzma en Qt pour la décompression

Bonjour,

Le SDK lzma étant peu ou mal documenté, j’ai perdu énormément de temps à comprendre sont fonctionnement. C’est un prérequit pour le support des plugins dans ultracopier.

J’ai donc décidé de refaire ma propre lib en Qt pour l’utiliser de façon synchrone ou asynchrone avec un thread. Tout semble correctement marché. Un légère interface affiche la taille d’entrée et celle de sortie. Mais en interne tout est bien décodé, c’est juste pas utilisé. Voila l’url que vous attendez tous:

lzma-decode-qt-src.tar.bz2

Je pense faire de même pour les archives tar, un interface Qt, synchrone pour y accéder.

Divers bug d’ultracopier sous Mac

Bonjour, hélas aprés avoir tester ultracopier sous Mac j’ai noter de nombreux bug mineur:

  • Ressources manquantes dans l’application
  • Sous Mac un .app en interface est un fichier, alors que en gestion c’est un dossier, ce qui pose certain problème à ultracopier
  • Impossible de réutilisé un fenêtre qui à déjà été utilisé mais pas fermé

Amélioration noté:

  • Moins de priorité pour plus de simplicité
  • Version debug pour Mac

Teste de vserver sous gentoo avec un invité debian

Bonjour,

Je viens de tester vserver sous linux gentoo pour héberger exclusivement des debians. Ca permet de remplacer la virtualisation par l’isolation, pour gérer efficace l’espace disk et éviter de ce trimbaler avec un gros hdd virtuel.

Mes 1ere sont impression sont:

  • Bien plus flexible
  • Bien plus performant qu’une solution avec nfs
  • Gentoo comme invité est adapté (via un stage4), mais debian pas du tout, il faut le faire à la main
  • Pas de firewall pour le système invité (tout est dans l’hôte) donc pas de fail2ban, ou applicable depuis l’hote
  • Petit problème sous debian avec le nom d’hôte à fixer à la main
  • Patch grsec non applicable, patch très important en isolation car le noyau de l’hôte est directement exposé au pirate dans le système invité
  • Fichier de configuration complet/long à prendre en main

Ultracopier en version x64 et blogilo

A grace ce foutu microsoft visual studio 2008 ultracopier x64 à besoin du pack visual studio 2008. Je vais passer à mingw64 pour Qt plus rapidement que prévu. Je viens de tester blogilo, c’est un super outils pour l’édition sur wordpress, et on évite toutes les lenteurs de wordpress. Après plusieurs heure sur kde 4.4 j’ai l’impression d’une bien plus grande rapidité.

EDIT: je prépare une version 0.2.0.9 qui corrigera les problèmes d’empaquetage.